#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

typedef long long LL;

vector<int> solve(vector<int> A) {
    vector<int> v;
    for(int i = 0; i < A.size() / 2; i++) {
        v.push_back(i), v.push_back(A.size() - 1 - i);
    }
    if(A.size() % 2 == 1) v.push_back(A.size() / 2);
    return v;
}
